Subject: Re: MPC5200 JTAG/BDM Flash Burning

From: "Mark Chambers" <[email-masked]>
Date: Wed, 9 Feb 2005 15:04:05 -0500

> I'm working on a custom MPC5200 board based heavily on the IceCube design
> from Motorola/Freescale.  We plan to use the u-boot bootloader.
>

I'm doing the same.

> I'm looking for a tool to allow us to burn u-boot into the flash memory on
> new board (with all flash devices unprogrammed).  Ideally, I'd like
> something like the Jflash-linux tool used with StrongARM linux, or a
> stand-along linux tool that lets us burn the memory.
>

The BDI2000 from abatron, which in the US you probably want to get
from  www.ultsol.com (send my commision to...).  The difference between
the BDI product and others that my have similar spec sheets is that it
actually works, including the flash burning portions.

Once you have u-boot and/or the kernel up you can use them to update
flash.

> Both the "MPCBDM" and "bdm4gdb" projects haven't been updated for
> years.  The BDM-Tools project is more active, but only seems to support
> 68k/Coldfire processors.
>

As I understand it, Freescale has not publicly released the OCD interface
so that's why it's not supported in the open source community.

> The 5200lite "IceCube" demo board came with a Metrowerks "Wiretap" BDM
> interface, and a Green Hills "Slingshot" BDM module, but these seems to
> require a large (and expensive) windows based "Development environment"
> which is far more than we need.  Are there linux based drivers for either
> of these?
>

You could also look at magraigor.com.  I had problems with their 5200 device
but they've probably got them worked out by now.

Mark Chambers

P.S. Love the way you play the guitar!